iHelloWorld:
	g++ -E main.cpp -o main.ii
	g++ -S main.ii  -o main.s
	g++ -c main.s   -o main.o
	g++    main.o   -o HelloWorld
	echo "HelloWorld" > .gitignore

clean:
	rm main.ii main.s main.o HelloWorld .gitignore

test:
	./HelloWorld

